;InnoSetupVersion=5.0.4

[Setup]
AppName=Free YouTube Uploader 1.5
AppVerName=Free YouTube Uploader version 1.5
AppId=Free YouTube Uploader
AppPublisher=DVD Video Soft Limited.
AppPublisherURL=http://www.dvdvideosoft.com
AppUpdatesURL=http://www.dvdvideosoft.com/
AppMutex=DVDVideoSoft
DefaultDirName={pf}\DVDVideoSoft\Free YouTube Uploader
DefaultGroupName=DVDVideoSoft
OutputBaseFilename=Release\FreeYouTubeUploader
Compression=lzma
PrivilegesRequired=none
DisableProgramGroupPage=yes
AllowNoIcons=yes
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{sys}\atl,1.dll"; DestDir: "{sys}"; DestName: "atl.dll"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\atl,2.dll"; DestDir: "{sys}"; DestName: "atl.dll"; Flags: uninsneveruninstall restartreplace regserver 
Source: "{sys}\msvcr70.dll"; DestDir: "{sys}"; MinVersion: 4.1.2222,5.0.2195; Flags: uninsneveruninstall restartreplace 
Source: "{app}\VideoFileToIPOD.dll"; DestDir: "{app}"; MinVersion: 4.1.2222,5.0.2195; Flags: regserver sharedfile noregerror 
Source: "{app}\YouTubeUploader.dll"; DestDir: "{app}"; MinVersion: 4.1.2222,5.0.2195; Flags: regserver sharedfile noregerror 
Source: "{app}\DVSVideoPlayerJPG.dll"; DestDir: "{app}"; MinVersion: 4.1.2222,5.0.2195; Flags: regserver sharedfile noregerror 
Source: "{app}\SDL.dll"; DestDir: "{app}"; MinVersion: 4.1.2222,5.0.2195; Flags: regserver sharedfile noregerror 
Source: "{app}\chimes.wav"; DestDir: "{app}"; MinVersion: 4.1.2222,5.0.2195; 
Source: "{app}\ffmpeg.exe"; DestDir: "{app}"; MinVersion: 4.1.2222,5.0.2195; Flags: ignoreversion 
Source: "{app}\FreeYouTubeUploader.exe"; DestDir: "{app}"; MinVersion: 4.1.2222,5.0.2195; Flags: ignoreversion 
Source: "{cf}\DVDVideoSoft\LanguageEditor.exe"; DestDir: "{cf}\DVDVideoSoft"; MinVersion: 4.1.2222,5.0.2195; Flags: uninsneveruninstall ignoreversion 
Source: "{app}\Translate.sib"; DestDir: "{app}"; MinVersion: 4.1.2222,5.0.2195; Flags: ignoreversion 
Source: "{cf}\DVDVideoSoft\FreeStudioManager.exe"; DestDir: "{cf}\DVDVideoSoft"; MinVersion: 4.1.2222,5.0.2195; Flags: uninsneveruninstall 
Source: "{cf}\DVDVideoSoft\Translate.sib"; DestDir: "{cf}\DVDVideoSoft"; MinVersion: 4.1.2222,5.0.2195; Flags: uninsneveruninstall ignoreversion 

[Registry]
Root: HKLM; Subkey: "SOFTWARE\DVDVideoSoft\YouTubeUploader"; ValueName: "SignUp"; ValueType: String; ValueData: """http://www.youtube.com/signup"""; MinVersion: 4.1.2222,5.0.2195; 
Root: HKLM; Subkey: "SOFTWARE\DVDVideoSoft\YouTubeUploader"; ValueName: "TermUse"; ValueType: String; ValueData: """http://www.youtube.com/t/terms"""; MinVersion: 4.1.2222,5.0.2195; 
Root: HKLM; Subkey: "SOFTWARE\DVDVideoSoft\YouTubeUploader"; ValueName: "GuideLink"; ValueType: String; ValueData: """http://www.dvdvideosoft.com/guides/dvd/upload-video-to-YouTube.htm"""; MinVersion: 4.1.2222,5.0.2195; 
Root: HKLM; Subkey: "SOFTWARE\DVDVideoSoft\Links"; ValueName: "WhatsNew"; ValueType: String; ValueData: """http://www.dvdvideosoft.com/r/WhatsNew.htm"""; MinVersion: 4.1.2222,5.0.2195; 
Root: HKLM; Subkey: "SOFTWARE\DVDVideoSoft\Links"; ValueName: "CheckUpdate"; ValueType: String; ValueData: """http://www.dvdvideosoft.com/r/CheckUpdate.htm"""; MinVersion: 4.1.2222,5.0.2195; 
Root: HKLM; Subkey: "SOFTWARE\DVDVideoSoft\Links"; ValueName: "Converter"; ValueType: String; ValueData: """http://www.dvdvideosoft.com/r/Converter.htm"""; MinVersion: 4.1.2222,5.0.2195; 
Root: HKLM; Subkey: "SOFTWARE\DVDVideoSoft\Links"; ValueName: "Subscription"; ValueType: String; ValueData: """http://www.dvdvideosoft.com/r/Subscription.htm"""; MinVersion: 4.1.2222,5.0.2195; 
Root: HKLM; Subkey: "SOFTWARE\DVDVideoSoft\Links"; ValueName: "FreeOffersLink"; ValueType: String; ValueData: """http://www.dvdvideosoft.com/r/linkFreeOffers.htm"""; MinVersion: 4.1.2222,5.0.2195; 
Root: HKLM; Subkey: "SOFTWARE\DVDVideoSoft\Links"; ValueName: "HowToTranslateLink"; ValueType: String; ValueData: """http://www.dvdvideosoft.com/r/linkTranslate.htm"""; MinVersion: 4.1.2222,5.0.2195; 
Root: HKLM; Subkey: "SOFTWARE\DVDVideoSoft"; ValueName: "PathToEditor"; ValueType: String; ValueData: "{cf}\DVDVideoSoft"; MinVersion: 4.1.2222,5.0.2195; 
Root: HKLM; Subkey: "SOFTWARE\DVDVideoSoft\AppPaths"; ValueName: "YouTubeUploader"; ValueType: String; ValueData: "{app}\FreeYouTubeUploader.exe"; MinVersion: 4.1.2222,5.0.2195; 

[Run]
Filename: "{app}\FreeYouTubeUploader.exe"; Description: "{cm:Launch,{cm:YTP}}"; MinVersion: 4.1.2222,5.0.2195; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Free YouTube Uploader\{cm:YTP}"; Filename: "{app}\FreeYouTubeUploader.exe"; WorkingDir: "{app}"; MinVersion: 4.1.2222,5.0.2195; 
Name: "{group}\Free YouTube Uploader\{cm:UninstallProgram,{cm:YTP}}"; Filename: "{uninstallexe}"; MinVersion: 4.1.2222,5.0.2195; 
Name: "{group}\{cm:LangEditor}"; Filename: "{cf}\DVDVideoSoft\LanguageEditor.exe"; MinVersion: 4.1.2222,5.0.2195; 
Name: "{group}\{cm:Manager}"; Filename: "{cf}\DVDVideoSoft\FreeStudioManager.exe"; MinVersion: 4.1.2222,5.0.2195; 
Name: "{userdesktop}\Free Studio Manager"; Filename: "{cf}\DVDVideoSoft\FreeStudioManager.exe"; WorkingDir: "{cf}\DVDVideoSoft"; Tasks: desktopicon; MinVersion: 4.1.2222,5.0.2195; 
Name: "{userdesktop}\Free YouTube Uploader"; Filename: "{app}\FreeYouTubeUploader.exe"; WorkingDir: "{app}"; Tasks: desktopicon; MinVersion: 4.1.2222,5.0.2195; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; Languages: "en"; MinVersion: 4.1.2222,5.0.2195; 

[CustomMessages]
en.NameAndVersion=%1 version %2
en.AdditionalIcons=Additional icons:
en.CreateDesktopIcon=Create a &desktop icon
en.CreateQuickLaunchIcon=Create a &Quick Launch icon
en.ProgramOnTheWeb=%1 on the Web
en.UninstallProgram=Uninstall %1
en.LaunchProgram=Launch %1
en.AssocFileExtension=&Associate %1 with the %2 file extension
en.AssocingFileExtension=Associating %1 with the %2 file extension...
YTP=Free YouTube Uploader
LangEditor=Language Editor
Manager=Free Studio Manager
en.Launch=Launch %1

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "en"; MessagesFile: "embedded\en.isl"; 
